EnderDashEnderDash

Resolve Luck Perms Username

Resolve Luck Perms Username. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.resolveLuckPermsUsername

Resolve Luck Perms Username. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
serverId*string
username*string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/servers.resolveLuckPermsUsername" \  -H "Content-Type: application/json" \  -d '{    "serverId": "string",    "username": "string"  }'
{  "result": {    "data": {      "requestId": "string",      "serverId": "string",      "success": true,      "error": "string",      "lookup": {        "found": true,        "groups": [          "string"        ],        "username": "string",        "uuid": "string",        "primary_group": "string"      }    }  }}